Update a User
Updates any information contained within the User object
Note: Due to fraud protections, guests are permitted to update their birthdays only once. Subsequent attempts to modify the birthday parameter using the API will fail. In such a case, even though the API returns a 200 response, the user's birthday is not updated in Punchh.
If you are updating custom profile fields, see Updating Custom Profile Fields With the Punchh Platform API for details.
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringUser
- Agent For more information, see User Agent.
- Type: stringemailrequired
Current email address of the user. The value must match the current email address stored on the Punchh platform for the
idfor the call to be successful. - Type: stringidrequired
Punchh ID of the user
- Type: object ·userrequired
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/users \
--request PATCH \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'User-Agent: ' \
--data '{
"id": "111111111",
"email": "current@example.com",
"user": {
"email": "new@example.com",
"last_name": "LAST_NAME_GOES_HERE",
"first_name": "FIRST_NAME_GOES_HERE",
"preferred_location_ids": [
75,
86,
87
],
"profile_field_answers": {
"upf0": "Lemonade",
"upf1": "Pink"
},
"age_verified_status": true
}
}'
{
"address": "",
"anniversary": null,
"avatar_remote_url": null,
"birthday": null,
"city": "",
"communicable_email": "test@example.com",
"created_at": "2019-04-24T12:39:06Z",
"email": "test@example.com",
"email_verified": false,
"facebook_signup": null,
"apple_signup": null,
"apple_uid": null,
"favourite_location_ids": "",
"favourite_store_numbers": "",
"fb_uid": null,
"first_name": "FIRST_NAME_GOES_HERE",
"gender": "",
"has_generated_fb_email": false,
"last_name": "LAST_NAME_GOES_HERE",
"marketing_email_subscription": true,
"marketing_pn_subscription": true,
"migrate_status": false,
"passcode_configured_for_giftcards": false,
"phone": "1111111111",
"profile_field_answers": {},
"referral_code": "REFERRAL_CODE_GOES_HERE",
"referral_path": "URL_GOES_HERE",
"secondary_email": "",
"state": "",
"superuser": false,
"terms_and_conditions": true,
"title": "",
"updated_at": "2020-05-06T14:52:24Z",
"user_as_qrcode": "QR_CODE_GOES_HERE",
"user_code": "P11111111",
"user_id": 111111111,
"preferred_locale": "",
"user_relations": [],
"zip_code": null,
"verification_mode": null,
"sms_subscription": false,
"privacy_policy": false,
"age_verified_status": true
}